HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get Account with {providerAccountId}

Return a single account using your chosen {providerAccountId} value.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve one account using your providerAccountId.

Use this endpoint when you store your own account identifiers in Arcadia and want to retrieve an account without first looking up the Arcadia-generated accountId. To retrieve an account using the Arcadia-generated account identifier, use Get One Account with accountId.

Resource URI

GET /rest/v1/accounts/pid/{providerAccountId}

Path parameters

ParameterTypeDescription
providerAccountIdStringYour unique identifier for the Account object. Required.

For the full account data model, account workflow, and detailed examples, see Accounts API.

Example

GET /rest/v1/accounts/pid/api-eg-01

A successful response returns a standard response payload with type set to Account and one account in the results array.

{
  "status": "success",
  "count": 1,
  "type": "Account",
  "results": [
    {
      "accountId": "c2a630e8-c99a-4347-a460-d116e83439d2",
      "providerAccountId": "api-eg-01",
      "accountName": "Example 1 API Home",
      "status": "ACTIVE"
    }
  ]
}
Path Params
string
required

This is your unique identifier chosen to represent the Account object.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json